#!/bin/bash
set -e
TDIR=$(mktemp -d)
cd $TDIR
echo "installing nvim appimage (v0.11.3) ..."
wget 'https://github.com/neovim/neovim/releases/download/v0.11.3/nvim-linux-x86_64.appimage'
chmod +x nvim-linux-x86_64.appimage
sudo mv nvim-linux-x86_64.appimage /usr/local/bin/nvim
sudo update-alternatives --install /usr/bin/nvim nvim /usr/local/bin/nvim 900

echo "installing lazygit appimage (v0.53.0) ..."
wget 'https://github.com/jesseduffield/lazygit/releases/download/v0.53.0/lazygit_0.53.0_Linux_x86_64.tar.gz'
tar xf lazygit*.tar.gz
chmod +x lazygit
sudo mv lazygit /usr/local/bin/lazygit
sudo update-alternatives --install /usr/bin/lazygit lazygit /usr/local/bin/lazygit 900

echo "cleanup temporary directory: $TDIR"
rm -rv $TDIR
